package com.zerog.ia.customcode.util.miscutils;

import java.awt.*;

public class ImageComponent extends Component
{
	Image img = null;

    public void update( Graphics g )
    {
        paint(g);
    }

    public void paint( Graphics g )
    {
        if ( img == null )
        {
            super.paint(g);
            return;
        }

		g.drawImage( img, 0, 0, this );
   	    super.paint(g);
    }

	public void setImage( Image inImage )
	{
		img = inImage;

		if ( img != null )
		{
		    setSize( new Dimension( 0, 0 ) );
		    repaint();
	    }
	}

    public Image getImage()
    {
        return img;
    }

	public Dimension getSize()
	{
		if ( img == null )
			return new Dimension( 0, 0 );
		else
			return new Dimension( img.getWidth(this), img.getHeight( this ) );
	}

	public Dimension getPreferredSize()
	{
		return getSize();
	}

	public Dimension getMaximumSize()
	{
		return getSize();
	}

	public Dimension getMinimumSize()
	{
		return getSize();
	}

	public void setSize( Dimension d )
	{
		super.setSize( getSize() );
	}
}
